import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { select, zoom, append } from 'd3';
import { useData } from './useData'
import { useTsv } from './useTsv'
import { Marks } from './Marks'

const statesUrl = 'https://unpkg.com/us-atlas@3.0.1/states-10m.json';
const countiesUrl = 'https://unpkg.com/us-atlas@3.0.1/counties-10m.json'
const tsvUrl = 'https://unpkg.com/world-atlas@1.1.4/world/50m.tsv';
const width = 960;
const height = 500;

const App = () => {
  const { data } = useData(statesUrl);
  // const { countryData } = useTsv(tsvUrl);
  
  if (!data) {
    return <pre>Loading...</pre>;
  }
  
  return (
    <svg id="svg" width={width} height={height} >
				<Marks data={data} />
    </svg>
  );
};

export default App;
