import { useState, useEffect } from 'react';
import { json } from 'd3';
import {feature, mesh } from 'topojson';

export const useData = (url) => {
  const [data, setData] = useState(null);
   useEffect(() => {
    json(url).then(topology => {
      const { nation, states} = topology.objects;
     	setData({
        nation: feature(topology, states),
        states: mesh(topology, states, (a,b) => {
         return a !== b           
        })
      })
    });
  }, []);
  
  return { data };
}