import { useState, useEffect } from 'react';
import { tsv, min, max } from 'd3';
import {feature, mesh } from 'topojson';

export const useTsv = (url) => {
  const [countryData, setCountryData] = useState(null);
   useEffect(() => {
    tsv(url).then(data => {
       const filteredData = data
        .filter(d => +d.iso_n3 > 0)
        .map(d => ({
            id: d.iso_n3,
            name: d.name,
            abbr: d.adm0_a3,
            color1: +d.mapcolor7,
            color2: +d.mapcolor8,
            color3: +d.mapcolor9,
            color4: +d.mapcolor13,
            continent: d.continent
        }));
  			setCountryData(filteredData);
    });
  }, []);
  
  return { countryData };
}